building 0.14

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

building 0.14

J.Witvliet

The guy (Eberhard) who normally does opensc-builds on the OBS seems unavailable, I heard there were serious hardware problems at the GWDG university.

So since a long time I tried it myself…

 

Obviously i forgot something, when trying to build on sles11sp3

 

     tar xvzf opensc-0.14.0.tar.gz

     cd opensc-0.14.0/

     ./configure

     make clean

     ./configure

     make

 

 

……

make[3]: Leaving directory `/root/opensc-0.14.0/src/pkcs11'

Making all in tools

make[3]: Entering directory `/root/opensc-0.14.0/src/tools'

  CC     opensc-tool.o

  CC     util.o

  CCLD   opensc-tool

../../src/libopensc/.libs/libopensc.so: undefined reference to `iasecc_se_get_crt'

../../src/libopensc/.libs/libopensc.so: undefined reference to `iasecc_se_get_info'

../../src/libopensc/.libs/libopensc.so: undefined reference to `dnie_match_card'

collect2: ld returned 1 exit status

make[3]: *** [opensc-tool] Error 1

make[3]: Leaving directory `/root/opensc-0.14.0/src/tools'

make[2]: *** [all-recursive] Error 1

make[2]: Leaving directory `/root/opensc-0.14.0/src'

make[1]: *** [all-recursive] Error 1

make[1]: Leaving directory `/root/opensc-0.14.0'

make: *** [all] Error 2

 

From the limes above it makes me wonder however _what_ is miss  …


Dit bericht kan informatie bevatten die niet voor u is bestemd. Indien u niet de geadresseerde bent of dit bericht abusievelijk aan u is toegezonden, wordt u verzocht dat aan de afzender te melden en het bericht te verwijderen. De Staat aanvaardt geen aansprakelijkheid voor schade, van welke aard ook, die verband houdt met risico's verbonden aan het electronisch verzenden van berichten.

This message may contain information that is not intended for you. If you are not the addressee or if this message was sent to you by mistake, you are requested to inform the sender and delete the message. The State accepts no liability for damage of any kind resulting from the risks inherent in the electronic transmission of messages.

------------------------------------------------------------------------------
Slashdot TV.  Videos for Nerds.  Stuff that Matters.
http://pubads.g.doubleclick.net/gampad/clk?id=160591471&iu=/4140/ostg.clktrk
_______________________________________________
Opensc-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opensc-devel
Reply | Threaded
Open this post in threaded view
|

Re: building 0.14

Viktor Tarasov-3
Build without is not well tested.
You need to install libopenssl-devel

Kind regards,
Viktor.

------------------------------------------------------------------------------
Meet PCI DSS 3.0 Compliance Requirements with EventLog Analyzer
Achieve PCI DSS 3.0 Compliant Status with Out-of-the-box PCI DSS Reports
Are you Audit-Ready for PCI DSS 3.0 Compliance? Download White paper
Comply to PCI DSS 3.0 Requirement 10 and 11.5 with EventLog Analyzer
http://pubads.g.doubleclick.net/gampad/clk?id=154622311&iu=/4140/ostg.clktrk
_______________________________________________
Opensc-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opensc-devel
Reply | Threaded
Open this post in threaded view
|

Re: building 0.14

Viktor Tarasov-3
Sorry,
"build without openssl is not ..."

------------------------------------------------------------------------------
Meet PCI DSS 3.0 Compliance Requirements with EventLog Analyzer
Achieve PCI DSS 3.0 Compliant Status with Out-of-the-box PCI DSS Reports
Are you Audit-Ready for PCI DSS 3.0 Compliance? Download White paper
Comply to PCI DSS 3.0 Requirement 10 and 11.5 with EventLog Analyzer
http://pubads.g.doubleclick.net/gampad/clk?id=154622311&iu=/4140/ostg.clktrk
_______________________________________________
Opensc-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opensc-devel
Reply | Threaded
Open this post in threaded view
|

Re: building 0.14

Ludovic Rousseau
In reply to this post by J.Witvliet
2014-09-29 14:34 GMT+02:00  <[hidden email]>:

> The guy (Eberhard) who normally does opensc-builds on the OBS seems
> unavailable, I heard there were serious hardware problems at the GWDG
> university.
>
> So since a long time I tried it myself…
>
>
>
> Obviously i forgot something, when trying to build on sles11sp3
>
>
>
>      tar xvzf opensc-0.14.0.tar.gz
>
>      cd opensc-0.14.0/
>
>      ./configure
>
>      make clean
>
>      ./configure
>
>      make
>
>
>
>
>
> ……
>
> make[3]: Leaving directory `/root/opensc-0.14.0/src/pkcs11'
>
> Making all in tools
>
> make[3]: Entering directory `/root/opensc-0.14.0/src/tools'
>
>   CC     opensc-tool.o
>
>   CC     util.o
>
>   CCLD   opensc-tool
>
> ../../src/libopensc/.libs/libopensc.so: undefined reference to
> `iasecc_se_get_crt'
>
> ../../src/libopensc/.libs/libopensc.so: undefined reference to
> `iasecc_se_get_info'
>
> ../../src/libopensc/.libs/libopensc.so: undefined reference to
> `dnie_match_card'
>
> collect2: ld returned 1 exit status
>
> make[3]: *** [opensc-tool] Error 1
>
> make[3]: Leaving directory `/root/opensc-0.14.0/src/tools'
>
> make[2]: *** [all-recursive] Error 1
>
> make[2]: Leaving directory `/root/opensc-0.14.0/src'
>
> make[1]: *** [all-recursive] Error 1
>
> make[1]: Leaving directory `/root/opensc-0.14.0'
>
> make: *** [all] Error 2
>
>
>
> From the limes above it makes me wonder however _what_ is miss  …

Fixed in https://github.com/OpenSC/OpenSC/commit/fb7bbf1e800715c7fe153fd9c738b78e3bd38521

Thanks to Viktor for identifying the source of the problem.

Bye

--
 Dr. Ludovic Rousseau

------------------------------------------------------------------------------
Meet PCI DSS 3.0 Compliance Requirements with EventLog Analyzer
Achieve PCI DSS 3.0 Compliant Status with Out-of-the-box PCI DSS Reports
Are you Audit-Ready for PCI DSS 3.0 Compliance? Download White paper
Comply to PCI DSS 3.0 Requirement 10 and 11.5 with EventLog Analyzer
http://pubads.g.doubleclick.net/gampad/clk?id=154622311&iu=/4140/ostg.clktrk
_______________________________________________
Opensc-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opensc-devel
Reply | Threaded
Open this post in threaded view
|

Re: building 0.14

J.Witvliet
In reply to this post by J.Witvliet
Let me come back on it.

In: https://github.com/OpenSC/OpenSC/commit/fb7bbf1e800715c7fe153fd9c738b78e3bd38521 
I read: "build: disable Secure Messaging if OpenSSL is not used"
Sure, without openssl, (or perhaps another ssl-brand) there is little you can do.

I just verified, on the U_14.04 I do have libssl-dev and libssl-0.9.8 installed
But still configure concludes "no openssl"
(even after an "apt-get update and apt-get-upgrade"  when I do an "apt-cache search  libopenssl" does not yield any package

And "openssl version" returns:  "OpenSSL 1.0.1f", so openssl did get installed.....


Hans

-----Original Message-----
From: Ludovic Rousseau [mailto:[hidden email]]
Sent: woensdag 1 oktober 2014 22:16
To: Witvliet, J, DMO/OPS/I&S/HIN
Cc: [hidden email]
Subject: Re: [Opensc-devel] building 0.14

2014-09-29 14:34 GMT+02:00  <[hidden email]>:

> The guy (Eberhard) who normally does opensc-builds on the OBS seems
> unavailable, I heard there were serious hardware problems at the GWDG
> university.
>
> So since a long time I tried it myself…
>
>
>
> Obviously i forgot something, when trying to build on sles11sp3
>
>
>
>      tar xvzf opensc-0.14.0.tar.gz
>
>      cd opensc-0.14.0/
>
>      ./configure
>
>      make clean
>
>      ./configure
>
>      make
>
>
>
>
>
> ……
>
> make[3]: Leaving directory `/root/opensc-0.14.0/src/pkcs11'
>
> Making all in tools
>
> make[3]: Entering directory `/root/opensc-0.14.0/src/tools'
>
>   CC     opensc-tool.o
>
>   CC     util.o
>
>   CCLD   opensc-tool
>
> ../../src/libopensc/.libs/libopensc.so: undefined reference to
> `iasecc_se_get_crt'
>
> ../../src/libopensc/.libs/libopensc.so: undefined reference to
> `iasecc_se_get_info'
>
> ../../src/libopensc/.libs/libopensc.so: undefined reference to
> `dnie_match_card'
>
> collect2: ld returned 1 exit status
>
> make[3]: *** [opensc-tool] Error 1
>
> make[3]: Leaving directory `/root/opensc-0.14.0/src/tools'
>
> make[2]: *** [all-recursive] Error 1
>
> make[2]: Leaving directory `/root/opensc-0.14.0/src'
>
> make[1]: *** [all-recursive] Error 1
>
> make[1]: Leaving directory `/root/opensc-0.14.0'
>
> make: *** [all] Error 2
>
>
>
> From the limes above it makes me wonder however _what_ is miss  …

Fixed in https://github.com/OpenSC/OpenSC/commit/fb7bbf1e800715c7fe153fd9c738b78e3bd38521

Thanks to Viktor for identifying the source of the problem.

Bye

--
 Dr. Ludovic Rousseau

------------------------------------------------------------------------------
Meet PCI DSS 3.0 Compliance Requirements with EventLog Analyzer Achieve PCI DSS 3.0 Compliant Status with Out-of-the-box PCI DSS Reports Are you Audit-Ready for PCI DSS 3.0 Compliance? Download White paper Comply to PCI DSS 3.0 Requirement 10 and 11.5 with EventLog Analyzer http://pubads.g.doubleclick.net/gampad/clk?id=154622311&iu=/4140/ostg.clktrk
_______________________________________________
Opensc-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opensc-devel

______________________________________________________________________
Dit bericht kan informatie bevatten die niet voor u is bestemd. Indien u niet de geadresseerde bent of dit bericht abusievelijk aan u is toegezonden, wordt u verzocht dat aan de afzender te melden en het bericht te verwijderen. De Staat aanvaardt geen aansprakelijkheid voor schade, van welke aard ook, die verband houdt met risico's verbonden aan het electronisch verzenden van berichten.

This message may contain information that is not intended for you. If you are not the addressee or if this message was sent to you by mistake, you are requested to inform the sender and delete the message. The State accepts no liability for damage of any kind resulting from the risks inherent in the electronic transmission of messages.
------------------------------------------------------------------------------
Slashdot TV.  Videos for Nerds.  Stuff that Matters.
http://pubads.g.doubleclick.net/gampad/clk?id=160591471&iu=/4140/ostg.clktrk
_______________________________________________
Opensc-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opensc-devel
Reply | Threaded
Open this post in threaded view
|

Re: building 0.14

Ludovic Rousseau
2014-10-06 18:46 GMT+02:00  <[hidden email]>:

> Let me come back on it.
>
> In: https://github.com/OpenSC/OpenSC/commit/fb7bbf1e800715c7fe153fd9c738b78e3bd38521
> I read: "build: disable Secure Messaging if OpenSSL is not used"
> Sure, without openssl, (or perhaps another ssl-brand) there is little you can do.
>
> I just verified, on the U_14.04 I do have libssl-dev and libssl-0.9.8 installed
> But still configure concludes "no openssl"
> (even after an "apt-get update and apt-get-upgrade"  when I do an "apt-cache search  libopenssl" does not yield any package
>
> And "openssl version" returns:  "OpenSSL 1.0.1f", so openssl did get installed.....

You have to look in the config.log file.
Maybe you will find an error message related to openssl.

Ubuntu 14.04 provides libssl-dev and libssl1.0.0 at version 1.0.1f-1ubuntu2.5.
Maybe you still have libssl-0.9.8 because it is used by old packages?

Bye

--
 Dr. Ludovic Rousseau

------------------------------------------------------------------------------
Slashdot TV.  Videos for Nerds.  Stuff that Matters.
http://pubads.g.doubleclick.net/gampad/clk?id=160591471&iu=/4140/ostg.clktrk
_______________________________________________
Opensc-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/opensc-devel